spheres3d {rgl} | R Documentation

## add sphere set shape

### Description

Adds a sphere set shape node to the scene

### Usage

    spheres3d(x, y = NULL, z = NULL, radius = 1, ...)
    rgl.spheres(x, y = NULL, z = NULL, radius, ...)

### Arguments

`x, y, z` | Numeric vector of point coordinates corresponding to the center of each sphere. Any reasonable way of defining the coordinates is acceptable. See the function `xyz.coords` for details.
`radius` | Vector or single value defining the sphere radius/radii
`...` | Material properties. See `rgl.material` for details.

### Details

If a non-isometric aspect ratio is chosen, these functions will still draw objects that appear to the viewer to be spheres. Use `ellipse3d` to draw shapes that are spherical in the data scale.

When the scale is not isometric, the radius is measured in an average scale. In this case the bounding box calculation is iterative, since rescaling the plot changes the shape of the spheres in user-coordinate, which changes the bounding box. Versions of `rgl` prior to 0.92.802 did not do this iterative adjustment.

If any coordinate or radius is `NA`, the sphere is not plotted.

If a texture is used, its bitmap is wrapped around the sphere, with the top edge at the maximum y coordinate, and the left-right edges joined at the maximum in the z coordinate, centred in x.

### Value

A shape ID of the spheres object is returned.

### See Also

`rgl.material`, `aspect3d` for setting non-isometric scales

### Examples

    open3d()
    spheres3d(rnorm(10), rnorm(10), rnorm(10), radius = runif(10), color = rainbow(10))

[Package rgl version 0.99.16 Index]